Primary Interfaces
==================

.. contents::

.. currentmodule:: renderdoc

ReplayController
----------------

.. autoclass:: renderdoc.ReplayController
  :members:
  :undoc-members:

ReplayOutput
------------

.. autoclass:: renderdoc.ReplayOutput
  :members:
  :undoc-members:

TargetControl
-------------

.. autoclass:: renderdoc.TargetControl
  :members:
  :undoc-members:

RemoteServer
------------

.. autoclass:: renderdoc.RemoteServer
  :members:
  :undoc-members:

DeviceProtocolController
------------------------

.. autoclass:: renderdoc.DeviceProtocolController
  :members:
  :undoc-members:

CaptureFile
-----------

.. autoclass:: renderdoc.CaptureFile
  :members:
  :undoc-members:
